TikTok Shop

One row per LIVE with GMV and engagement for the range, by GMV

GET/api/public/v1/tik_tok_shop/lives
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopLives

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/lives?start_date=2026-11-01&end_date=2026-11-01" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
start_datequerystring (date)required
end_datequerystring (date)required
pagequeryinteger Default 1
per_pagequeryinteger Default 20
searchquerystring
campaign_idqueryinteger
creator_idqueryinteger
platformquerystringOne of growiallnon_growi Default growi
organization_idqueryinteger
external_creator_idquerystring
connected_account_idqueryinteger
gmv_minquerynumber
gmv_maxquerynumber

Responses

200Success

FieldTypeNotes
additional_dataobjectrequired
additional_data.currencystring, nullable
additional_data.currency_symbolstring
additional_data.total_commissionnumber
additional_data.total_gmvnumber
additional_data.total_items_refundedinteger
additional_data.total_refunded_amountnumber
additional_data.total_sku_ordersinteger
additional_data.total_units_soldinteger
dataarray of objectrequired
data[].[].affiliate_avatar_urlstring
data[].[].affiliate_emailstring
data[].[].affiliate_idinteger, nullable
data[].[].affiliate_namestring
data[].[].aov_amountinteger
data[].[].average_gmv_per_customer_amountinteger
data[].[].average_viewing_durationstring, nullable
data[].[].comment_countinteger
data[].[].connected_accountobject
data[].[].connected_account.idinteger, nullable
data[].[].connected_account.profile_share_urlstring
data[].[].connected_account.usernamestring
data[].[].durationstring
data[].[].end_timestring, nullable
data[].[].engagement_ratestring, nullable
data[].[].external_creator_idstring, nullable
data[].[].external_idstring
data[].[].external_product_idstring, nullable
data[].[].gpm_amountinteger
data[].[].idinteger
data[].[].impression_countinteger
data[].[].item_refunded_countinteger
data[].[].like_countinteger
data[].[].live_product_click_through_ratestring, nullable
data[].[].live_product_impressions_countinteger
data[].[].productobject, nullable
data[].[].product_clicks_countinteger
data[].[].product_sold_countinteger
data[].[].share_countinteger
data[].[].start_timestring, nullable
data[].[].tap_through_ratestring, nullable
data[].[].titlestring, nullable
data[].[].total_commissionnumber
data[].[].total_commission_formattedstring
data[].[].total_gmvnumber
data[].[].total_gmv_formattedstring
data[].[].total_items_refundedinteger
data[].[].total_items_refunded_formattedstring
data[].[].total_live_gmvnumber
data[].[].total_live_gmv_formattedstring
data[].[].total_product_card_gmvnumber
data[].[].total_product_card_gmv_formattedstring
data[].[].total_refunded_amountnumber
data[].[].total_refunded_amount_formattedstring
data[].[].total_sku_ordersinteger
data[].[].total_sku_orders_formattedstring
data[].[].total_units_soldinteger
data[].[].total_units_sold_formattedstring
data[].[].truncated_titlestring
data[].[].unique_viewer_countinteger
metaobjectrequired
meta.current_pageinteger
meta.next_pageinteger, nullable
meta.prev_pageinteger, nullable
meta.row_countinteger
meta.total_pagesinteger

Example

{
  "additional_data": {
    "currency": "usd",
    "currency_symbol": "string",
    "total_commission": 125.5,
    "total_gmv": 125.5,
    "total_items_refunded": 3,
    "total_refunded_amount": 125.5,
    "total_sku_orders": 3,
    "total_units_sold": 3
  },
  "data": [
    {
      "affiliate_avatar_url": "https://example.com/p/1",
      "affiliate_email": "creator@example.com",
      "affiliate_id": 1024,
      "affiliate_name": "Example name",
      "aov_amount": 3,
      "average_gmv_per_customer_amount": 3,
      "average_viewing_duration": "string",
      "comment_count": 3,
      "connected_account": {
        "id": 1024,
        "profile_share_url": "https://example.com/p/1",
        "username": "Example name"
      },
      "duration": "string",
      "end_time": "string",
      "engagement_rate": "string",
      "external_creator_id": "string",
      "external_id": "string",
      "external_product_id": "string",
      "gpm_amount": 3,
      "id": 1024,
      "impression_count": 3,
      "item_refunded_count": 3,
      "like_count": 3,
      "live_product_click_through_rate": "string",
      "live_product_impressions_count": 3,
      "product": {},
      "product_clicks_count": 3,
      "product_sold_count": 3,
      "share_count": 3,
      "start_time": "string",
      "tap_through_rate": "string",
      "title": "string",
      "total_commission": 125.5,
      "total_commission_formatted": "string",
      "total_gmv": 125.5,
      "total_gmv_formatted": "string",
      "total_items_refunded": 3,
      "total_items_refunded_formatted": "string",
      "total_live_gmv": 125.5,
      "total_live_gmv_formatted": "string",
      "total_product_card_gmv": 125.5,
      "total_product_card_gmv_formatted": "string",
      "total_refunded_amount": 125.5,
      "total_refunded_amount_formatted": "string",
      "total_sku_orders": 3,
      "total_sku_orders_formatted": "string",
      "total_units_sold": 3,
      "total_units_sold_formatted": "string",
      "truncated_title": "string",
      "unique_viewer_count": 3
    }
  ],
  "meta": {
    "current_page": 1,
    "next_page": 1,
    "prev_page": 1,
    "row_count": 3,
    "total_pages": 1
  }
}

Errors: 401422with an error and usually a message. See errors.

Example values are made up from each field's type and name.